/****************************************************************************
** PlaylistEditDialog meta object code from reading C++ file 'PlaylistEditDialog.h'
**
** Created: Thu Oct 26 17:51:15 2000
**      by: The Qt MOC ($Id: qt/src/moc/moc.y   2.2.1   edited 2000-09-29 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#define Q_MOC_PlaylistEditDialog
#if !defined(Q_MOC_OUTPUT_REVISION)
#define Q_MOC_OUTPUT_REVISION 9
#elif Q_MOC_OUTPUT_REVISION != 9
#error "Moc format conflict - please regenerate all moc files"
#endif

#include "PlaylistEditDialog.h"
#include <qmetaobject.h>
#include <qapplication.h>

#if defined(Q_SPARCWORKS_FUNCP_BUG)
#define Q_AMPERSAND
#else
#define Q_AMPERSAND &
#endif


const char *PlaylistEditDialog::className() const
{
    return "PlaylistEditDialog";
}

QMetaObject *PlaylistEditDialog::metaObj = 0;

void PlaylistEditDialog::initMetaObject()
{
    if ( metaObj )
	return;
    if ( qstrcmp(PlaylistEditDialogData::className(), "PlaylistEditDialogData") != 0 )
	badSuperclassWarning("PlaylistEditDialog","PlaylistEditDialogData");
    (void) staticMetaObject();
}

#ifndef QT_NO_TRANSLATION

QString PlaylistEditDialog::tr(const char* s)
{
    return qApp->translate( "PlaylistEditDialog", s, 0 );
}

QString PlaylistEditDialog::tr(const char* s, const char * c)
{
    return qApp->translate( "PlaylistEditDialog", s, c );
}

#endif // QT_NO_TRANSLATION

QMetaObject* PlaylistEditDialog::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    (void) PlaylistEditDialogData::staticMetaObject();
#ifndef QT_NO_PROPERTIES
#endif // QT_NO_PROPERTIES
    typedef void(PlaylistEditDialog::*m1_t0)(QListBoxItem*,const QPoint&);
    typedef void(PlaylistEditDialog::*m1_t1)();
    typedef void(PlaylistEditDialog::*m1_t2)();
    typedef void(PlaylistEditDialog::*m1_t3)();
    typedef void(PlaylistEditDialog::*m1_t4)();
    typedef void(PlaylistEditDialog::*m1_t5)();
    typedef void(PlaylistEditDialog::*m1_t6)();
    typedef void(PlaylistEditDialog::*m1_t7)(int);
    typedef void(PlaylistEditDialog::*m1_t8)(int);
    typedef void(PlaylistEditDialog::*m1_t9)(int);
    typedef void(PlaylistEditDialog::*m1_t10)(int);
    typedef void(PlaylistEditDialog::*m1_t11)(int);
    m1_t0 v1_0 = Q_AMPERSAND PlaylistEditDialog::popUpListMenu;
    m1_t1 v1_1 = Q_AMPERSAND PlaylistEditDialog::deleteEntry;
    m1_t2 v1_2 = Q_AMPERSAND PlaylistEditDialog::playEntry;
    m1_t3 v1_3 = Q_AMPERSAND PlaylistEditDialog::savePlaylist;
    m1_t4 v1_4 = Q_AMPERSAND PlaylistEditDialog::clearPlaylist;
    m1_t5 v1_5 = Q_AMPERSAND PlaylistEditDialog::moveUpButtonClicked;
    m1_t6 v1_6 = Q_AMPERSAND PlaylistEditDialog::moveDownButtonClicked;
    m1_t7 v1_7 = Q_AMPERSAND PlaylistEditDialog::playlistItemSelected;
    m1_t8 v1_8 = Q_AMPERSAND PlaylistEditDialog::playlistItemHighlighted;
    m1_t9 v1_9 = Q_AMPERSAND PlaylistEditDialog::subtuneValueChanged;
    m1_t10 v1_10 = Q_AMPERSAND PlaylistEditDialog::playtimeValueChanged;
    m1_t11 v1_11 = Q_AMPERSAND PlaylistEditDialog::fadeoutValueChanged;
    QMetaData *slot_tbl = QMetaObject::new_metadata(12);
    QMetaData::Access *slot_tbl_access = QMetaObject::new_metaaccess(12);
    slot_tbl[0].name = "popUpListMenu(QListBoxItem*,const QPoint&)";
    slot_tbl[0].ptr = (QMember)v1_0;
    slot_tbl_access[0] = QMetaData::Protected;
    slot_tbl[1].name = "deleteEntry()";
    slot_tbl[1].ptr = (QMember)v1_1;
    slot_tbl_access[1] = QMetaData::Protected;
    slot_tbl[2].name = "playEntry()";
    slot_tbl[2].ptr = (QMember)v1_2;
    slot_tbl_access[2] = QMetaData::Protected;
    slot_tbl[3].name = "savePlaylist()";
    slot_tbl[3].ptr = (QMember)v1_3;
    slot_tbl_access[3] = QMetaData::Protected;
    slot_tbl[4].name = "clearPlaylist()";
    slot_tbl[4].ptr = (QMember)v1_4;
    slot_tbl_access[4] = QMetaData::Protected;
    slot_tbl[5].name = "moveUpButtonClicked()";
    slot_tbl[5].ptr = (QMember)v1_5;
    slot_tbl_access[5] = QMetaData::Protected;
    slot_tbl[6].name = "moveDownButtonClicked()";
    slot_tbl[6].ptr = (QMember)v1_6;
    slot_tbl_access[6] = QMetaData::Protected;
    slot_tbl[7].name = "playlistItemSelected(int)";
    slot_tbl[7].ptr = (QMember)v1_7;
    slot_tbl_access[7] = QMetaData::Protected;
    slot_tbl[8].name = "playlistItemHighlighted(int)";
    slot_tbl[8].ptr = (QMember)v1_8;
    slot_tbl_access[8] = QMetaData::Protected;
    slot_tbl[9].name = "subtuneValueChanged(int)";
    slot_tbl[9].ptr = (QMember)v1_9;
    slot_tbl_access[9] = QMetaData::Protected;
    slot_tbl[10].name = "playtimeValueChanged(int)";
    slot_tbl[10].ptr = (QMember)v1_10;
    slot_tbl_access[10] = QMetaData::Protected;
    slot_tbl[11].name = "fadeoutValueChanged(int)";
    slot_tbl[11].ptr = (QMember)v1_11;
    slot_tbl_access[11] = QMetaData::Protected;
    typedef void(PlaylistEditDialog::*m2_t0)(const PlaylistItem&);
    typedef void(PlaylistEditDialog::*m2_t1)(uint);
    typedef void(PlaylistEditDialog::*m2_t2)(uint);
    typedef void(PlaylistEditDialog::*m2_t3)();
    typedef void(PlaylistEditDialog::*m2_t4)(uint);
    m2_t0 v2_0 = Q_AMPERSAND PlaylistEditDialog::playlistEditPlayRequest;
    m2_t1 v2_1 = Q_AMPERSAND PlaylistEditDialog::playlistEditPlayRequest;
    m2_t2 v2_2 = Q_AMPERSAND PlaylistEditDialog::playlistEditDelRequest;
    m2_t3 v2_3 = Q_AMPERSAND PlaylistEditDialog::playlistEditClearRequest;
    m2_t4 v2_4 = Q_AMPERSAND PlaylistEditDialog::playlistEditUpdateRequest;
    QMetaData *signal_tbl = QMetaObject::new_metadata(5);
    signal_tbl[0].name = "playlistEditPlayRequest(const PlaylistItem&)";
    signal_tbl[0].ptr = (QMember)v2_0;
    signal_tbl[1].name = "playlistEditPlayRequest(uint)";
    signal_tbl[1].ptr = (QMember)v2_1;
    signal_tbl[2].name = "playlistEditDelRequest(uint)";
    signal_tbl[2].ptr = (QMember)v2_2;
    signal_tbl[3].name = "playlistEditClearRequest()";
    signal_tbl[3].ptr = (QMember)v2_3;
    signal_tbl[4].name = "playlistEditUpdateRequest(uint)";
    signal_tbl[4].ptr = (QMember)v2_4;
    metaObj = QMetaObject::new_metaobject(
	"PlaylistEditDialog", "PlaylistEditDialogData",
	slot_tbl, 12,
	signal_tbl, 5,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    metaObj->set_slot_access( slot_tbl_access );
#ifndef QT_NO_PROPERTIES
#endif // QT_NO_PROPERTIES
    return metaObj;
}

#include <qobjectdefs.h>
#include <qsignalslotimp.h>

// SIGNAL playlistEditPlayRequest
void PlaylistEditDialog::playlistEditPlayRequest( const PlaylistItem& t0 )
{
    // No builtin function for signal parameter type const PlaylistItem&
    QConnectionList *clist = receivers("playlistEditPlayRequest(const PlaylistItem&)");
    if ( !clist || signalsBlocked() )
	return;
    typedef void (QObject::*RT0)();
    typedef void (QObject::*RT1)(const PlaylistItem&);
    RT0 r0;
    RT1 r1;
    QConnectionListIt it(*clist);
    QConnection   *c;
    QSenderObject *object;
    while ( (c=it.current()) ) {
	++it;
	object = (QSenderObject*)c->object();
	object->setSender( this );
	switch ( c->numArgs() ) {
	    case 0:
#ifdef Q_FP_CCAST_BROKEN
		r0 = reinterpret_cast<RT0>(*(c->member()));
#else
		r0 = (RT0)*(c->member());
#endif
		(object->*r0)();
		break;
	    case 1:
#ifdef Q_FP_CCAST_BROKEN
		r1 = reinterpret_cast<RT1>(*(c->member()));
#else
		r1 = (RT1)*(c->member());
#endif
		(object->*r1)(t0);
		break;
	}
    }
}

// SIGNAL playlistEditPlayRequest
void PlaylistEditDialog::playlistEditPlayRequest( uint t0 )
{
    // No builtin function for signal parameter type uint
    QConnectionList *clist = receivers("playlistEditPlayRequest(uint)");
    if ( !clist || signalsBlocked() )
	return;
    typedef void (QObject::*RT0)();
    typedef void (QObject::*RT1)(uint);
    RT0 r0;
    RT1 r1;
    QConnectionListIt it(*clist);
    QConnection   *c;
    QSenderObject *object;
    while ( (c=it.current()) ) {
	++it;
	object = (QSenderObject*)c->object();
	object->setSender( this );
	switch ( c->numArgs() ) {
	    case 0:
#ifdef Q_FP_CCAST_BROKEN
		r0 = reinterpret_cast<RT0>(*(c->member()));
#else
		r0 = (RT0)*(c->member());
#endif
		(object->*r0)();
		break;
	    case 1:
#ifdef Q_FP_CCAST_BROKEN
		r1 = reinterpret_cast<RT1>(*(c->member()));
#else
		r1 = (RT1)*(c->member());
#endif
		(object->*r1)(t0);
		break;
	}
    }
}

// SIGNAL playlistEditDelRequest
void PlaylistEditDialog::playlistEditDelRequest( uint t0 )
{
    // No builtin function for signal parameter type uint
    QConnectionList *clist = receivers("playlistEditDelRequest(uint)");
    if ( !clist || signalsBlocked() )
	return;
    typedef void (QObject::*RT0)();
    typedef void (QObject::*RT1)(uint);
    RT0 r0;
    RT1 r1;
    QConnectionListIt it(*clist);
    QConnection   *c;
    QSenderObject *object;
    while ( (c=it.current()) ) {
	++it;
	object = (QSenderObject*)c->object();
	object->setSender( this );
	switch ( c->numArgs() ) {
	    case 0:
#ifdef Q_FP_CCAST_BROKEN
		r0 = reinterpret_cast<RT0>(*(c->member()));
#else
		r0 = (RT0)*(c->member());
#endif
		(object->*r0)();
		break;
	    case 1:
#ifdef Q_FP_CCAST_BROKEN
		r1 = reinterpret_cast<RT1>(*(c->member()));
#else
		r1 = (RT1)*(c->member());
#endif
		(object->*r1)(t0);
		break;
	}
    }
}

// SIGNAL playlistEditClearRequest
void PlaylistEditDialog::playlistEditClearRequest()
{
    activate_signal( "playlistEditClearRequest()" );
}

// SIGNAL playlistEditUpdateRequest
void PlaylistEditDialog::playlistEditUpdateRequest( uint t0 )
{
    // No builtin function for signal parameter type uint
    QConnectionList *clist = receivers("playlistEditUpdateRequest(uint)");
    if ( !clist || signalsBlocked() )
	return;
    typedef void (QObject::*RT0)();
    typedef void (QObject::*RT1)(uint);
    RT0 r0;
    RT1 r1;
    QConnectionListIt it(*clist);
    QConnection   *c;
    QSenderObject *object;
    while ( (c=it.current()) ) {
	++it;
	object = (QSenderObject*)c->object();
	object->setSender( this );
	switch ( c->numArgs() ) {
	    case 0:
#ifdef Q_FP_CCAST_BROKEN
		r0 = reinterpret_cast<RT0>(*(c->member()));
#else
		r0 = (RT0)*(c->member());
#endif
		(object->*r0)();
		break;
	    case 1:
#ifdef Q_FP_CCAST_BROKEN
		r1 = reinterpret_cast<RT1>(*(c->member()));
#else
		r1 = (RT1)*(c->member());
#endif
		(object->*r1)(t0);
		break;
	}
    }
}
